Subject: Re: bug#56981: 29.0.50; No org-loaddefs.el file could be found from where org.el is loaded

From: "Peder O. Klingenberg" <[email-masked]>
Date: Thu, 04 Aug 2022 19:55:04 +0200

On Thu, 2022-08-04 18:42:25 +0200, Lars Ingebrigtsen wrote:

> Manuel Uberti via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
>
>> WARNING: No org-loaddefs.el file could be found from where org.el is loaded.
>> You need to run "make" or "make autoloads" from Org lisp directory
>
> Does the following patch fix the issue?

I filed the same bug mere minutes ago.  I tried the equivalent of your
patch, but it didn't fix it for me.  I attached a patch to my report
which fixed it for me.  It hasn't turned up in the bugtracker yet, so I
add it here as well, in lieu of a reference to the other bug number.

>From 56eda8882eb3d1ece4a0a8805ac6648236fb3b40 Mon Sep 17 00:00:00 2001
From: "Peder O. Klingenberg" <[email-masked]>
Date: Thu, 4 Aug 2022 18:04:48 +0200
Subject: [PATCH] * lisp/org/org.el: Fix load of compiled or compressed
 org-loaddefs.

---
 lisp/org/org.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/org/org.el b/lisp/org/org.el
index e62ee3203b..8bb69e98ce 100644
--- a/lisp/org/org.el
+++ b/lisp/org/org.el
@@ -82,8 +82,8 @@ org-inlinetask-min-level
 (or (eq this-command 'eval-buffer)
     (condition-case nil
 	(load (concat (file-name-directory load-file-name)
-		      "org-loaddefs.el")
-	      nil t t t)
+		      "org-loaddefs")
+	      nil t nil t)
       (error
        (message "WARNING: No org-loaddefs.el file could be found from where org.el is loaded.")
        (sit-for 3)
-- 
2.25.1

...Peder...